# Update a managed memory store

Launch stage: Beta

`PATCH /api/2.0/agents/{name=memory-stores/*}`

Updates a managed memory store's description and metadata.

API scopes: agent-kit

## Path parameters

- `name` (string, required, ID, Immutable)
  Resource name in the form `memory-stores/{managed_memory_store_id}`.

## Query parameters

- `update_mask` (string, required)
  Only `description` and `metadata` may be updated. Selecting `metadata` replaces the entire map.

## Request body

The managed memory store to update. `name` is taken from the URL.
- `display_name` (string, ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$, optional, Deprecated, Immutable)
  Deprecated compatibility alias for the caller-provided managed memory store ID. Canonical
   clients provide the ID through `CreateMemoryStoreRequest.managed_memory_store_id` and use
   `name` as the resource identifier.
  Constraints: `[ 3 .. 56 ] characters`
- `description` (string, optional)
  Human-readable description of the memory store.

## Returns

Returns the ManagedMemoryStore object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "workspace_id": 0,
  "storage_backend": {
    "backend_type": "STORAGE_BACKEND_TYPE_LAKEBASE",
    "backend_id": "string"
  },
  "owner_user_id": "string",
  "creator_user_id": "string",
  "description": "string",
  "create_time": "string",
  "update_time": "string"
}
```

